/***********************************************************************************************************************
 *
 * blueMarine Metadata - open source media workflow
 * Copyright (C) 2007-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluemarine.tidalwave.it
 * SCM: https://kenai.com/hg/bluemarine~metadata-src
 *
 **********************************************************************************************************************/
package it.tidalwave.metadata.basic;

import javax.annotation.Nonnull;
import java.util.Date;
import it.tidalwave.metadata.MetadataItemHolder;

/*******************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 ******************************************************************************/
public class BasicHolder extends MetadataItemHolder<Basic> 
  {
    private static final long serialVersionUID = 5068954837549375835L;

    public BasicHolder (@Nonnull final Basic bean)
      {
        super(bean);
      }

    public BasicHolder (@Nonnull final Basic bean,
                        @Nonnull final String sourceName,
                        @Nonnull final String origin,
                        @Nonnull final Date latestModificationTime)
      {
        super(bean, sourceName, origin, latestModificationTime);
      }

    @Override
    public boolean isAvailable() 
      {
        return get().isAvailable();
      }
  }
